%define req_gimp_version 1.2.5

Summary:	A GIMP font renderer based on the freetype library
Name:		gimp-freetype
Version:	0.2
Release:	3mdk
License:	GPL
Group:		Graphics
URL:		http://freetype.gimp.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%name-%version.tar.bz2
Patch:		gimp-freetype-0.2-new-freetype.patch.bz2
BuildRequires:	libgimp1.2-devel = %{req_gimp_version}
BuildRequires:	freetype2-devel
Requires:	gimp => 1:%{req_gimp_version}

%description
The goal of gimp-freetype project is to get superb font support into
The GIMP. As a first step, a plug-in for GIMP based on the freetype2
library is developed. Later it might become a tool or a pluggable
module.

%prep
%setup -q
%patch -p1 -b .freetype

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
# fix build system:
perl -pi -e "s@(gnulocaledir = ).*@\$1$RPM_BUILD_ROOT%_datadir/locale@" po/Makefile
%makeinstall_std

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%_libdir/gimp/*/plug-ins/*
%_datadir/gimp-freetype

%changelog
* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-3mdk
- fix unstallable package

* Wed Jan  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix buildrequires
- patch for new freetype

* Fri Dec 05 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-1mdk
- initial release for gimp-1.2.x based on gimp2-freetype package
